Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Class ChildReference

    java.lang.Object
      org.modeshape.jcr.cache.ChildReference

All Implemented Interfaces:
  Comparable<ChildReference>

    @Immutable
    public class ChildReference

extends Object
implements Comparable<ChildReference>

An immutable reference to a child node.

Constructor Summary
`ChildReference(NodeKey key, Name name, int snsIndex)`
`ChildReference(NodeKey key, Path.Segment segment)`

Method Summary
`int` | `compareTo(ChildReference that)`
`boolean` | `equals(Object obj)`
`NodeKey` | `getKey()`
`Name` | `getName()`
`Path.Segment` | `getSegment()`
`int` | `getSnsIndex()`
`String` | `getString(NamespaceRegistry registry)`
`int` | `hashCode()`
`String` | `toString()`
`ChildReference` | `with(int snsIndex)`
`ChildReference` | `with(Name name, int snsIndex)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChildReference

    public ChildReference(NodeKey key,
                          Name name,
                          int snsIndex)

### ChildReference

    public ChildReference(NodeKey key,
                          Path.Segment segment)

Method Detail

### getKey

    public NodeKey getKey()

  Returns:
    key

### getName

    public Name getName()

  Returns:
    name

### getSnsIndex

    public int getSnsIndex()

  Returns:
    snsIndex

### getSegment

    public Path.Segment getSegment()

### compareTo

    public int compareTo(ChildReference that)

  Specified by:
    `compareTo` in interface `Comparable<ChildReference>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getString

    public String getString(NamespaceRegistry registry)

### with

    public ChildReference with(int snsIndex)

### with

    public ChildReference with(Name name,
                               int snsIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.